Overview | Modules | Class Hierarchy | Classes | Members

# DrawingTools.h File Reference

`#include <vector>`
`#include <tulip/Coord.h>`
`#include <tulip/BoundingBox.h>`

Include dependency graph for DrawingTools.h:

## Namespaces

- namespace tlp

## Functions

- TLP_SCOPE BoundingBox tlp::computeBoundingBox (const Graph *graph, const LayoutProperty *layout, const SizeProperty *size, const DoubleProperty *rotation, const BooleanProperty *selection=0)
- TLP_SCOPE std::pair< Coord,
  Coord > tlp::computeBoundingRadius (const Graph *graph, const LayoutProperty *layout, const SizeProperty *size, const DoubleProperty *rotation, const BooleanProperty *selection=0)
- TLP_SCOPE std::vector< Coord > tlp::computeConvexHull (const Graph *graph, const LayoutProperty *layout, const SizeProperty *size, const DoubleProperty *rotation, const BooleanProperty *selection=0)

Tulip Software by LaBRI Visualization Team 2001 - 2010